
#if TARGET_RT_LITTLE_ENDIAN
# define ID_VALUE_INT32(x)                  {(x) & 0xFF,((x)>>8) & 0xFF,((x)>>16) & 0xFF,((x)>>24) & 0xFF}
# define ID_VALUE_END64(a,b,c,d,e,f,g,h)    {h,g,f,e,d,c,b,a}
#else
# define ID_VALUE_INT32(x)                  {((x)>>24) & 0xFF,((x)>>16) & 0xFF,((x)>>8) & 0xFF,(x) & 0xFF}
# define ID_VALUE_END64(a,b,c,d,e,f,g,h)    {a,b,c,d,e,f,g,h}
#endif

/*
  this constant defines a starting range, so the search routine for finding
identifiers by name start with the first ones within the range before the newer
  set this to zero for "no special order on searching for identifiers"
*/
#define PRIMARY_IDENTIFIER_RANGE            9

ias_global_id       ias_initial_scripting_ids[] =
{
   {_typeis_built_in | _ias_type_rentry, 0, "boolean", {_ias_type_bool}, NULL},
   {_typeis_built_in | _ias_type_rentry, 0, "fixed", {_ias_type_integer,32,16}, NULL},
   {_typeis_built_in | _ias_type_rentry, 0, "integer", {_ias_type_integer}, NULL},
   {_typeis_built_in | _ias_type_rentry, 0, "real", {_ias_type_double}, NULL},
   {_typeis_built_in | _ias_type_rentry, 0, "string", {_ias_type_string}, NULL},
   {_typeis_built_in | _ias_type_rentry, 0, "wide", {_ias_type_wide}, NULL},

   {_typeis_const | _ias_type_double, 0, "pi", ID_VALUE_END64(0x40,0x09,0x21,0xFB,0x54,0x44,0x2D,0x11), NULL},

   {_typeis_const | _ias_type_bool, 0, "false", {0}, NULL},
   {_typeis_const | _ias_type_bool, 0, "true", {1}, NULL},
};
